| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwmodel_vega.cpp File Reference

Library routines to read and write Vega model parameters. More...

`#include "rwmodel.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
Bmodel * | read_model_vega (Bstring *file_list)
| Reads Vega model parameters. More...
int | write_model_vega (Bstring &filename, Bmodel *model)
| Writes Vega model parameters. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write Vega model parameters.

Author
  Bernard Heymann

Date
  Created: 20060919
  Modified: 20120211

Definition in file rwmodel_vega.cpp.

## Function Documentation

## ◆ read_model_vega()

Bmodel* read_model_vega | ( | Bstring * | file_list | ) |

Reads Vega model parameters.

Parameters

  *file_list | list of model parameter file names.

Returns
  Bmodel* model parameters.

Definition at line 21 of file rwmodel_vega.cpp.

## ◆ write_model_vega()

int write_model_vega | ( | Bstring & | filename,
|  | Bmodel * | model
| ) |  |

Writes Vega model parameters.

Parameters

  &filename | model parameter file name.
  *model | model parameters.

Returns
  int models written.

Definition at line 96 of file rwmodel_vega.cpp.

## Variable Documentation

## ◆ verbose

int verbose